Stock adjustments
Replace a stock adjustment
Completely replaces the data of an existing stock adjustment with the provided payload.
Completely replaces the data of an existing stock adjustment with the provided payload.
AuthorizationBearer <token>
In: header
Path Parameters
id*string
StockAdjustment identifier
Request Body
application/json
The updated StockAdjustment resource
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://api.skalasuite.com/api/stock_adjustments/string" \ -H "Content-Type: application/json" \ -d '{ "code": "string", "adjustmentDate": "2019-08-24T14:15:22Z", "location": "/entity/1" }'{
"id": 0,
"code": "string",
"series": "string",
"number": 0,
"reason": "string",
"adjustmentDate": "2019-08-24T14:15:22Z",
"description": "string",
"items": [
{
"id": 0,
"stock": {
"id": 0,
"unit": {
"id": 0,
"name": "string"
},
"currency": {
"id": 0,
"code": "string"
},
"trackType": "string"
},
"stockVariant": {
"name": "string"
},
"quantity": "string",
"inStock": "string",
"unitPrice": "string",
"totalPrice": "string",
"normalizedUnitPrice": "string",
"normalizedTotalPrice": "string",
"barcode": "string",
"expirationDate": "2019-08-24T14:15:22Z",
"currentAmount": 0,
"batchNumber": "string"
}
],
"location": {
"id": 0,
"name": "string"
}
}Empty
Empty
Empty
